ข้ามไปยังเนื้อหา

Luma Photon Flash Reframe

ผสานการทำงาน

ID โมเดล luma-photon/flash/reframe
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon/flash/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.005 5 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Luma AI แก้ไขภาพ รวดเร็ว #flash#reframe#outpainting

การขยายภาพออกนอกขอบแบบ Flash เพื่อขยายภาพเป็นอัตราส่วนใหม่ พร้อมตัวเลือกการครอบตัดและการจัดวางบนกริด

Luma AI · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

0 / 5000

คำสั่งข้อความเพิ่มเติมสำหรับกำกับการปรับกรอบใหม่

•จำเป็น image_url
วางไฟล์ หรือ

URL ที่ชี้ไปยังรูปภาพที่จะปรับกรอบใหม่

aspect_ratio •จำเป็น

สัดส่วนภาพของรูปภาพหลังปรับกรอบใหม่

ขั้นสูง grid_position_x · grid_position_y · x_end · x_start · y_end · y_start · enable_safety_checker

ตำแหน่งแนวนอน (X) ของกริดปรับกรอบใหม่

ตำแหน่งแนวตั้ง (Y) ของกริดปรับกรอบใหม่

พิกัดสิ้นสุดตามแกน X สำหรับการปรับกรอบใหม่

พิกัดเริ่มต้นตามแกน X สำหรับการปรับกรอบใหม่

พิกัดสิ้นสุดตามแกน Y สำหรับการปรับกรอบใหม่

พิกัดเริ่มต้นตามแกน Y สำหรับการปรับกรอบใหม่

POST /run/luma-photon/flash/reframe?wait=20 ใบเสนอราคา → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon/flash/reframe?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Luma Photon Flash Reframe

ปรับกรอบหรือขยายภาพที่ `image_url` ให้เป็น `aspect_ratio` ที่จำเป็น เช่น 16:9, 1:1 หรือ 9:21 สามารถใช้ `prompt` ที่เป็นตัวเลือกเพื่อกำหนดพื้นที่ที่จะเติมได้ ควบคุมตำแหน่งด้วย `grid_position_x`, `grid_position_y` และพิกัด `x_start`, `x_end`, `y_start`, `y_end` นี่คือ Reframe รุ่น Flash

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
image_urlจำเป็น image
ประเภทurl · image
URL ที่ชี้ไปยังรูปภาพที่จะปรับกรอบใหม่
aspect_ratioจำเป็น
ประเภทenum
1:116:99:164:33:421:99:21
สัดส่วนภาพของรูปภาพหลังปรับกรอบใหม่
promptไม่บังคับ
ประเภทstring | null
≤ 5,000 อักขระ≥ 3 อักขระ
คำสั่งข้อความเพิ่มเติมสำหรับกำกับการปรับกรอบใหม่
grid_position_xไม่บังคับ
ประเภทinteger | null
ตำแหน่งแนวนอน (X) ของกริดปรับกรอบใหม่
grid_position_yไม่บังคับ
ประเภทinteger | null
ตำแหน่งแนวตั้ง (Y) ของกริดปรับกรอบใหม่
x_endไม่บังคับ
ประเภทinteger | null
พิกัดสิ้นสุดตามแกน X สำหรับการปรับกรอบใหม่
x_startไม่บังคับ
ประเภทinteger | null
พิกัดเริ่มต้นตามแกน X สำหรับการปรับกรอบใหม่
y_endไม่บังคับ
ประเภทinteger | null
พิกัดสิ้นสุดตามแกน Y สำหรับการปรับกรอบใหม่
y_startไม่บังคับ
ประเภทinteger | null
พิกัดเริ่มต้นตามแกน Y สำหรับการปรับกรอบใหม่
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma-photon/flash/reframe",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "aspect_ratio": "1:1"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size}รูปภาพที่สร้างขึ้น

โมเดลเพิ่มเติม: แก้ไขภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/luma-photon/flash/reframe.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt